Subject: Re: [Diffserv] doubts on draft-ietf-differv-model-06.txt

From: Steve Blake <[email-masked]>
Date: Thu, 30 Aug 2001 18:56:55 -0400

> I haven't seen any response to these questions. I'd like to see
> a response from the authors ASAP so that we are sure we can
> issue a Last Call at the same time as the MIB.

> Ashley Shi wrote:
> >
> > Can any author clarify the following questions for Appendix A?
> >
> > 1) Is the token interval used the same as the token update interval? If
> > yes, its definition in informal model is not consistent with most
> > implementations. The token update interval is a preconfigured value for
> > token bucket meter, which is not directly correlated with B/R, for
> > example, a implementation may use 2000 updates per sec, anther one may
> > use 4000 updates per sec.

This is Fred Baker's text, I believe.  He and I apparently have divergent
ideas about how token buckets ought to behave, so I don't want to claim
to speak authoritatively about this part of the text, but I believe that
the text assumes that the "token interval" == actual token update interval.

The model you have in mind is more consistent with the model in A.4,
I think.

> > 2) The description for strict token bucket on page 50 doesn't match the
> > mathematical model in A.4.
> >    The description implies when new tokens to the bucket, the upper
> > bound B deesn''t hold.
> >    The mathematical model does bound the number of tokens in the bucket
> > by bucket size B.

I believe that you are correct.  I know of at least four implementations
that behave as described in A.4; I have no doubt that there are
counterexamples that behave as described in A.2.  The discrepancy has to
do with how frequently one thinks that tokens are replenished.  A.4 assumes
that this happens with a granularity that depends on precision with
which time intervals are calculated.

I don't know how to reconcile the two models, other than by calling
A.4 the really really strict token bucket.

Regards,

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Steven L. Blake               <[email-masked]>
Ericsson IP Infrastructure                   919-472-9913

_______________________________________________
diffserv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: Fred Baker <[email-masked]>
Date: Thu, 30 Aug 2001 16:53:28 -0700

>the text assumes that the "token interval" == actual token update interval.

it is and it does. If the working group believes that it is incorrect, then 
let's modify it; I have always considered local definitions of the interval 
that were smaller to be a local optimization.

Please propose text.